The Autodesk.Revit.DB.SlabShapeCreaseArrayIterator
class represents an iterator for the SlabShapeCreaseArray
class in Autodesk Revit.
Property | Description |
---|---|
Current |
Gets the current SlabShapeCrease object in the SlabShapeCreaseArray . |
IsDone |
Gets a value indicating whether the iteration is complete. |
Method | Return Type | Description |
---|---|---|
Dispose() |
void |
Releases all resources used by the iterator. |
MoveNext() |
bool |
Advances the iterator to the next SlabShapeCrease object in the SlabShapeCreaseArray . |
The following example demonstrates how to iterate through a SlabShapeCreaseArray
object using the SlabShapeCreaseArrayIterator
class:
// assuming slabShapeCreaseArray is a valid SlabShapeCreaseArray object
var iterator = slabShapeCreaseArray.ForwardIterator();
while (iterator.MoveNext())
{
var currentCrease = iterator.Current;
// do something with currentCrease
}
iterator.Dispose();
The SlabShapeCreaseArrayIterator
class is typically used in conjunction with the SlabShapeCreaseArray
class to iterate through creases in a slab shape. It is important to call the Dispose()
method on the SlabShapeCreaseArrayIterator
object when it is no longer needed to avoid memory leaks.
Autodesk.Revit.DB.SlabShapeCrease
Autodesk.Revit.DB.SlabShapeCreaseArray